/*
** Module   : MaxCharsElement.java
** Abstract : Groups widgets that have MAX-CHARS attribute.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups widgets that have SORT attribute.
 */
public interface MaxCharsElement
{
   /**
    * Set value of the MAX-CHARS attribute.
    *
    * @param    maxChars
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "MAX-CHARS", setter = true)
   public void setMaxChars(double maxChars);

   /**
    * Set value of the MAX-CHARS attribute.
    *
    * @param    maxChars
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "MAX-CHARS", setter = true)
   public void setMaxChars(NumberType maxChars);

   /**
    * Get value of the MAX-CHARS attribute.
    *
    * @return   value of the attribute.
    */
   @LegacyAttribute(name = "MAX-CHARS")
   public integer getMaxChars();
}
