/*
** Module   : SortedElement.java
** Abstract : Groups widgets that have SORT attribute.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups widgets that have SORT attribute.
 */
public interface SortedElement
{
   /**
    * Set value of the SORT attribute.
    *
    * @param    sort
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "SORT", setter = true)
   public void setSort(boolean sort);

   /**
    * Set value of the SORT attribute.
    *
    * @param    sort
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "SORT", setter = true)
   public void setSort(logical sort);

   /**
    * Get value of the SORT attribute.
    *
    * @return   value of the attribute.
    */
   @LegacyAttribute(name = "SORT")
   public logical isSort();
}
